source: projects/vine-manual-base/trunk/Makefile.in @ 2695

Revision 2695, 20.1 KB checked in by yasumichi, 13 years ago (diff)

first import for vine-manual-base

Line 
1# Makefile.in generated by automake 1.11.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
6# Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17VPATH = @srcdir@
18pkgdatadir = $(datadir)/@PACKAGE@
19pkgincludedir = $(includedir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkglibexecdir = $(libexecdir)/@PACKAGE@
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
34subdir = .
35DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36        $(srcdir)/Makefile.in $(top_srcdir)/configure AUTHORS COPYING \
37        ChangeLog INSTALL NEWS install-sh missing
38ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
39am__aclocal_m4_deps = $(top_srcdir)/configure.ac
40am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
41        $(ACLOCAL_M4)
42am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
43 configure.lineno config.status.lineno
44mkinstalldirs = $(install_sh) -d
45CONFIG_CLEAN_FILES =
46CONFIG_CLEAN_VPATH_FILES =
47SOURCES =
48DIST_SOURCES =
49RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
50        html-recursive info-recursive install-data-recursive \
51        install-dvi-recursive install-exec-recursive \
52        install-html-recursive install-info-recursive \
53        install-pdf-recursive install-ps-recursive install-recursive \
54        installcheck-recursive installdirs-recursive pdf-recursive \
55        ps-recursive uninstall-recursive
56RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
57  distclean-recursive maintainer-clean-recursive
58AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
59        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
60        distdir dist dist-all distcheck
61ETAGS = etags
62CTAGS = ctags
63DIST_SUBDIRS = $(SUBDIRS)
64DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
65distdir = $(PACKAGE)-$(VERSION)
66top_distdir = $(distdir)
67am__remove_distdir = \
68  { test ! -d "$(distdir)" \
69    || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
70         && rm -fr "$(distdir)"; }; }
71am__relativize = \
72  dir0=`pwd`; \
73  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
74  sed_rest='s,^[^/]*/*,,'; \
75  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
76  sed_butlast='s,/*[^/]*$$,,'; \
77  while test -n "$$dir1"; do \
78    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
79    if test "$$first" != "."; then \
80      if test "$$first" = ".."; then \
81        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
82        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
83      else \
84        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
85        if test "$$first2" = "$$first"; then \
86          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
87        else \
88          dir2="../$$dir2"; \
89        fi; \
90        dir0="$$dir0"/"$$first"; \
91      fi; \
92    fi; \
93    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
94  done; \
95  reldir="$$dir2"
96DIST_ARCHIVES = $(distdir).tar.gz
97GZIP_ENV = --best
98distuninstallcheck_listfiles = find . -type f -print
99distcleancheck_listfiles = find . -type f -print
100ACLOCAL = @ACLOCAL@
101AMTAR = @AMTAR@
102AUTOCONF = @AUTOCONF@
103AUTOHEADER = @AUTOHEADER@
104AUTOMAKE = @AUTOMAKE@
105AWK = @AWK@
106CVSDATA = @CVSDATA@
107CYGPATH_W = @CYGPATH_W@
108DEFS = @DEFS@
109ECHO_C = @ECHO_C@
110ECHO_N = @ECHO_N@
111ECHO_T = @ECHO_T@
112INSTALL = @INSTALL@
113INSTALL_DATA = @INSTALL_DATA@
114INSTALL_PROGRAM = @INSTALL_PROGRAM@
115INSTALL_SCRIPT = @INSTALL_SCRIPT@
116INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
117LIBOBJS = @LIBOBJS@
118LIBS = @LIBS@
119LTLIBOBJS = @LTLIBOBJS@
120MAKEINFO = @MAKEINFO@
121MKDIR_P = @MKDIR_P@
122MKTEMP = @MKTEMP@
123PACKAGE = @PACKAGE@
124PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
125PACKAGE_NAME = @PACKAGE_NAME@
126PACKAGE_STRING = @PACKAGE_STRING@
127PACKAGE_TARNAME = @PACKAGE_TARNAME@
128PACKAGE_URL = @PACKAGE_URL@
129PACKAGE_VERSION = @PACKAGE_VERSION@
130PATH_SEPARATOR = @PATH_SEPARATOR@
131SET_MAKE = @SET_MAKE@
132SHELL = @SHELL@
133STRIP = @STRIP@
134VERSION = @VERSION@
135abs_builddir = @abs_builddir@
136abs_srcdir = @abs_srcdir@
137abs_top_builddir = @abs_top_builddir@
138abs_top_srcdir = @abs_top_srcdir@
139am__leading_dot = @am__leading_dot@
140am__tar = @am__tar@
141am__untar = @am__untar@
142bindir = @bindir@
143build_alias = @build_alias@
144builddir = @builddir@
145datadir = @datadir@
146datarootdir = @datarootdir@
147docdir = @docdir@
148dvidir = @dvidir@
149exec_prefix = @exec_prefix@
150host_alias = @host_alias@
151htmldir = @htmldir@
152includedir = @includedir@
153infodir = @infodir@
154install_sh = @install_sh@
155libdir = @libdir@
156libexecdir = @libexecdir@
157localedir = @localedir@
158localstatedir = @localstatedir@
159mandir = @mandir@
160mkdir_p = @mkdir_p@
161oldincludedir = @oldincludedir@
162pdfdir = @pdfdir@
163prefix = @prefix@
164program_transform_name = @program_transform_name@
165psdir = @psdir@
166sbindir = @sbindir@
167sharedstatedir = @sharedstatedir@
168srcdir = @srcdir@
169sysconfdir = @sysconfdir@
170target_alias = @target_alias@
171top_build_prefix = @top_build_prefix@
172top_builddir = @top_builddir@
173top_srcdir = @top_srcdir@
174SUBDIRS = bin css data doc images
175all: all-recursive
176
177.SUFFIXES:
178am--refresh:
179        @:
180$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
181        @for dep in $?; do \
182          case '$(am__configure_deps)' in \
183            *$$dep*) \
184              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
185              $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
186                && exit 0; \
187              exit 1;; \
188          esac; \
189        done; \
190        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
191        $(am__cd) $(top_srcdir) && \
192          $(AUTOMAKE) --gnu Makefile
193.PRECIOUS: Makefile
194Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
195        @case '$?' in \
196          *config.status*) \
197            echo ' $(SHELL) ./config.status'; \
198            $(SHELL) ./config.status;; \
199          *) \
200            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
201            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
202        esac;
203
204$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
205        $(SHELL) ./config.status --recheck
206
207$(top_srcdir)/configure:  $(am__configure_deps)
208        $(am__cd) $(srcdir) && $(AUTOCONF)
209$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
210        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
211$(am__aclocal_m4_deps):
212
213# This directory's subdirectories are mostly independent; you can cd
214# into them and run `make' without going through this Makefile.
215# To change the values of `make' variables: instead of editing Makefiles,
216# (1) if the variable is set in `config.status', edit `config.status'
217#     (which will cause the Makefiles to be regenerated when you run `make');
218# (2) otherwise, pass the desired values on the `make' command line.
219$(RECURSIVE_TARGETS):
220        @fail= failcom='exit 1'; \
221        for f in x $$MAKEFLAGS; do \
222          case $$f in \
223            *=* | --[!k]*);; \
224            *k*) failcom='fail=yes';; \
225          esac; \
226        done; \
227        dot_seen=no; \
228        target=`echo $@ | sed s/-recursive//`; \
229        list='$(SUBDIRS)'; for subdir in $$list; do \
230          echo "Making $$target in $$subdir"; \
231          if test "$$subdir" = "."; then \
232            dot_seen=yes; \
233            local_target="$$target-am"; \
234          else \
235            local_target="$$target"; \
236          fi; \
237          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
238          || eval $$failcom; \
239        done; \
240        if test "$$dot_seen" = "no"; then \
241          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
242        fi; test -z "$$fail"
243
244$(RECURSIVE_CLEAN_TARGETS):
245        @fail= failcom='exit 1'; \
246        for f in x $$MAKEFLAGS; do \
247          case $$f in \
248            *=* | --[!k]*);; \
249            *k*) failcom='fail=yes';; \
250          esac; \
251        done; \
252        dot_seen=no; \
253        case "$@" in \
254          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
255          *) list='$(SUBDIRS)' ;; \
256        esac; \
257        rev=''; for subdir in $$list; do \
258          if test "$$subdir" = "."; then :; else \
259            rev="$$subdir $$rev"; \
260          fi; \
261        done; \
262        rev="$$rev ."; \
263        target=`echo $@ | sed s/-recursive//`; \
264        for subdir in $$rev; do \
265          echo "Making $$target in $$subdir"; \
266          if test "$$subdir" = "."; then \
267            local_target="$$target-am"; \
268          else \
269            local_target="$$target"; \
270          fi; \
271          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
272          || eval $$failcom; \
273        done && test -z "$$fail"
274tags-recursive:
275        list='$(SUBDIRS)'; for subdir in $$list; do \
276          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
277        done
278ctags-recursive:
279        list='$(SUBDIRS)'; for subdir in $$list; do \
280          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
281        done
282
283ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
284        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
285        unique=`for i in $$list; do \
286            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
287          done | \
288          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
289              END { if (nonempty) { for (i in files) print i; }; }'`; \
290        mkid -fID $$unique
291tags: TAGS
292
293TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
294                $(TAGS_FILES) $(LISP)
295        set x; \
296        here=`pwd`; \
297        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
298          include_option=--etags-include; \
299          empty_fix=.; \
300        else \
301          include_option=--include; \
302          empty_fix=; \
303        fi; \
304        list='$(SUBDIRS)'; for subdir in $$list; do \
305          if test "$$subdir" = .; then :; else \
306            test ! -f $$subdir/TAGS || \
307              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
308          fi; \
309        done; \
310        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
311        unique=`for i in $$list; do \
312            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
313          done | \
314          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
315              END { if (nonempty) { for (i in files) print i; }; }'`; \
316        shift; \
317        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
318          test -n "$$unique" || unique=$$empty_fix; \
319          if test $$# -gt 0; then \
320            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
321              "$$@" $$unique; \
322          else \
323            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
324              $$unique; \
325          fi; \
326        fi
327ctags: CTAGS
328CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
329                $(TAGS_FILES) $(LISP)
330        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
331        unique=`for i in $$list; do \
332            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
333          done | \
334          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
335              END { if (nonempty) { for (i in files) print i; }; }'`; \
336        test -z "$(CTAGS_ARGS)$$unique" \
337          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
338             $$unique
339
340GTAGS:
341        here=`$(am__cd) $(top_builddir) && pwd` \
342          && $(am__cd) $(top_srcdir) \
343          && gtags -i $(GTAGS_ARGS) "$$here"
344
345distclean-tags:
346        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
347
348distdir: $(DISTFILES)
349        $(am__remove_distdir)
350        test -d "$(distdir)" || mkdir "$(distdir)"
351        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
352        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
353        list='$(DISTFILES)'; \
354          dist_files=`for file in $$list; do echo $$file; done | \
355          sed -e "s|^$$srcdirstrip/||;t" \
356              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
357        case $$dist_files in \
358          */*) $(MKDIR_P) `echo "$$dist_files" | \
359                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
360                           sort -u` ;; \
361        esac; \
362        for file in $$dist_files; do \
363          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
364          if test -d $$d/$$file; then \
365            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
366            if test -d "$(distdir)/$$file"; then \
367              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
368            fi; \
369            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
370              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
371              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
372            fi; \
373            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
374          else \
375            test -f "$(distdir)/$$file" \
376            || cp -p $$d/$$file "$(distdir)/$$file" \
377            || exit 1; \
378          fi; \
379        done
380        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
381          if test "$$subdir" = .; then :; else \
382            test -d "$(distdir)/$$subdir" \
383            || $(MKDIR_P) "$(distdir)/$$subdir" \
384            || exit 1; \
385          fi; \
386        done
387        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
388          if test "$$subdir" = .; then :; else \
389            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
390            $(am__relativize); \
391            new_distdir=$$reldir; \
392            dir1=$$subdir; dir2="$(top_distdir)"; \
393            $(am__relativize); \
394            new_top_distdir=$$reldir; \
395            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
396            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
397            ($(am__cd) $$subdir && \
398              $(MAKE) $(AM_MAKEFLAGS) \
399                top_distdir="$$new_top_distdir" \
400                distdir="$$new_distdir" \
401                am__remove_distdir=: \
402                am__skip_length_check=: \
403                am__skip_mode_fix=: \
404                distdir) \
405              || exit 1; \
406          fi; \
407        done
408        -test -n "$(am__skip_mode_fix)" \
409        || find "$(distdir)" -type d ! -perm -755 \
410                -exec chmod u+rwx,go+rx {} \; -o \
411          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
412          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
413          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
414        || chmod -R a+r "$(distdir)"
415dist-gzip: distdir
416        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
417        $(am__remove_distdir)
418
419dist-bzip2: distdir
420        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
421        $(am__remove_distdir)
422
423dist-lzma: distdir
424        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
425        $(am__remove_distdir)
426
427dist-xz: distdir
428        tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
429        $(am__remove_distdir)
430
431dist-tarZ: distdir
432        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
433        $(am__remove_distdir)
434
435dist-shar: distdir
436        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
437        $(am__remove_distdir)
438
439dist-zip: distdir
440        -rm -f $(distdir).zip
441        zip -rq $(distdir).zip $(distdir)
442        $(am__remove_distdir)
443
444dist dist-all: distdir
445        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
446        $(am__remove_distdir)
447
448# This target untars the dist file and tries a VPATH configuration.  Then
449# it guarantees that the distribution is self-contained by making another
450# tarfile.
451distcheck: dist
452        case '$(DIST_ARCHIVES)' in \
453        *.tar.gz*) \
454          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
455        *.tar.bz2*) \
456          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
457        *.tar.lzma*) \
458          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
459        *.tar.xz*) \
460          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
461        *.tar.Z*) \
462          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
463        *.shar.gz*) \
464          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
465        *.zip*) \
466          unzip $(distdir).zip ;;\
467        esac
468        chmod -R a-w $(distdir); chmod a+w $(distdir)
469        mkdir $(distdir)/_build
470        mkdir $(distdir)/_inst
471        chmod a-w $(distdir)
472        test -d $(distdir)/_build || exit 0; \
473        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
474          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
475          && am__cwd=`pwd` \
476          && $(am__cd) $(distdir)/_build \
477          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
478            $(DISTCHECK_CONFIGURE_FLAGS) \
479          && $(MAKE) $(AM_MAKEFLAGS) \
480          && $(MAKE) $(AM_MAKEFLAGS) dvi \
481          && $(MAKE) $(AM_MAKEFLAGS) check \
482          && $(MAKE) $(AM_MAKEFLAGS) install \
483          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
484          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
485          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
486                distuninstallcheck \
487          && chmod -R a-w "$$dc_install_base" \
488          && ({ \
489               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
490               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
491               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
492               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
493                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
494              } || { rm -rf "$$dc_destdir"; exit 1; }) \
495          && rm -rf "$$dc_destdir" \
496          && $(MAKE) $(AM_MAKEFLAGS) dist \
497          && rm -rf $(DIST_ARCHIVES) \
498          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
499          && cd "$$am__cwd" \
500          || exit 1
501        $(am__remove_distdir)
502        @(echo "$(distdir) archives ready for distribution: "; \
503          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
504          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
505distuninstallcheck:
506        @$(am__cd) '$(distuninstallcheck_dir)' \
507        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
508           || { echo "ERROR: files left after uninstall:" ; \
509                if test -n "$(DESTDIR)"; then \
510                  echo "  (check DESTDIR support)"; \
511                fi ; \
512                $(distuninstallcheck_listfiles) ; \
513                exit 1; } >&2
514distcleancheck: distclean
515        @if test '$(srcdir)' = . ; then \
516          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
517          exit 1 ; \
518        fi
519        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
520          || { echo "ERROR: files left in build directory after distclean:" ; \
521               $(distcleancheck_listfiles) ; \
522               exit 1; } >&2
523check-am: all-am
524check: check-recursive
525all-am: Makefile
526installdirs: installdirs-recursive
527installdirs-am:
528install: install-recursive
529install-exec: install-exec-recursive
530install-data: install-data-recursive
531uninstall: uninstall-recursive
532
533install-am: all-am
534        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
535
536installcheck: installcheck-recursive
537install-strip:
538        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
539          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
540          `test -z '$(STRIP)' || \
541            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
542mostlyclean-generic:
543
544clean-generic:
545
546distclean-generic:
547        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
548        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
549
550maintainer-clean-generic:
551        @echo "This command is intended for maintainers to use"
552        @echo "it deletes files that may require special tools to rebuild."
553clean: clean-recursive
554
555clean-am: clean-generic mostlyclean-am
556
557distclean: distclean-recursive
558        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
559        -rm -f Makefile
560distclean-am: clean-am distclean-generic distclean-tags
561
562dvi: dvi-recursive
563
564dvi-am:
565
566html: html-recursive
567
568html-am:
569
570info: info-recursive
571
572info-am:
573
574install-data-am:
575
576install-dvi: install-dvi-recursive
577
578install-dvi-am:
579
580install-exec-am:
581
582install-html: install-html-recursive
583
584install-html-am:
585
586install-info: install-info-recursive
587
588install-info-am:
589
590install-man:
591
592install-pdf: install-pdf-recursive
593
594install-pdf-am:
595
596install-ps: install-ps-recursive
597
598install-ps-am:
599
600installcheck-am:
601
602maintainer-clean: maintainer-clean-recursive
603        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
604        -rm -rf $(top_srcdir)/autom4te.cache
605        -rm -f Makefile
606maintainer-clean-am: distclean-am maintainer-clean-generic
607
608mostlyclean: mostlyclean-recursive
609
610mostlyclean-am: mostlyclean-generic
611
612pdf: pdf-recursive
613
614pdf-am:
615
616ps: ps-recursive
617
618ps-am:
619
620uninstall-am:
621
622.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) ctags-recursive \
623        install-am install-strip tags-recursive
624
625.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
626        all all-am am--refresh check check-am clean clean-generic \
627        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
628        dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
629        distclean distclean-generic distclean-tags distcleancheck \
630        distdir distuninstallcheck dvi dvi-am html html-am info \
631        info-am install install-am install-data install-data-am \
632        install-dvi install-dvi-am install-exec install-exec-am \
633        install-html install-html-am install-info install-info-am \
634        install-man install-pdf install-pdf-am install-ps \
635        install-ps-am install-strip installcheck installcheck-am \
636        installdirs installdirs-am maintainer-clean \
637        maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
638        pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
639
640
641# Tell versions [3.59,3.63) of GNU make to not export all variables.
642# Otherwise a system limit (for SysV at least) may be exceeded.
643.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.